Skip to content

Applications connected to your account

GET
/api/v1/auth/apps
curl --request GET \
--url http://127.0.0.1:8484/api/v1/auth/apps

OK

Media typeapplication/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
apps
required
Array<object> | null
object
clientHost

Host of the application’s address, when verified

string
createdAt
required
string
id
required
string
lastUsedAt
string
name
required
string
redirectHost
required

Where the application received its access

string
scope
required
string
Allowed values: read write
verified
required

The application is identified by an address Exhale fetched (a client metadata document), not by what it said about itself

boolean
mcpUrl
required

The MCP address to give Claude.ai, ChatGPT or Grok; empty without EXHALE_PUBLIC_URL

string

Example

{
"$schema": "https://example.com/api/schemas/ConnectedApps.json",
"apps": [
{
"scope": "read"
}
]
}

Error

Media typeapplication/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"$schema": "https://example.com/api/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}